define({"0":{y:0,u:"../Content/P4Search/about.html",l:-1,t:"How to use this guide | Helix Core Search API",i:0.00997529939207607,a:"This guide provides information on installing, configuring, and working with Helix Search, the Helix Core Search API. It assumes a basic knowledge of developing with APIs and Helix Core Server (version 2024.4, released in No longer used)."},"1":{y:0,u:"../Content/P4Search/overview.html",l:-1,t:"Overview",i:0.00997529939207607,a:"Helix Search, powered by Elasticsearch, enhances search capabilities for Helix DAM and other products. It indexes file content, metadata, revision details, and change descriptions, all versioned in Perforce. This helps users find assets and boosts productivity.  Helix Search web UI The Helix Search ..."},"2":{y:0,u:"../Content/P4Search/license-features.html",l:-1,t:"Licensed features",i:0.00997529939207607,a:"This section describes the licensed features of Helix Search. To use full indexing capabilities of Helix Search you must obtain a Helix DAM capability in your Perforce license. To buy or renew licenses, contact  Sales . Here is a comparison of capabilities between a licensed and unlicensed Helix ..."},"3":{y:0,u:"../Content/P4Search/search-web-page.html",l:-1,t:"Web UI",i:0.00997529939207607,a:"Web UI This section describes the Helix Search web UI. "},"4":{y:0,u:"../Content/P4Search/web-ui.html",l:-1,t:"Access the web UI",i:0.0137667688286134,a:"The Helix Search web User Interface (UI) enables you to search submitted changes, file revisions, file content, and assets in your Helix Core Server.  Get the web address for the  Helix Search web UI from your administrator and open the UI in your web browser.  For example,  ..."},"5":{y:0,u:"../Content/P4Search/status.html",l:-1,t:"View status",i:0.0158865412837764,a:"View status View the Helix Search service status and the time the index last ran. To view the Helix Search service status: Select Account arrow from the top navigation bar. Select Status. The Helix Search Service status page is displayed."},"6":{y:0,u:"../Content/P4Search/configuration-web-ui.html",l:-1,t:"Configure Helix Search",i:0.131283632197298,a:"You must be an admin user to configure Helix Search. The Helix Search service must be configured to view the Service status page and to configure services using the Configuration page:  Windows installer: Basic Helix Search services are configured as part of the installation process. Linux ..."},"7":{y:0,u:"../Content/P4Search/logger-web-ui.html",l:-1,t:"View live logs",i:0.0116469963734505,a:"You must be an admin user to use logger in Helix Search. To use logger from the web UI: Click the Account icon in the top navigation bar. Select Logger and the Logger page is displayed.  Live log tab In the Live Log tab, you can view the realtime logging data for a specific log file and perform the ..."},"8":{y:0,u:"../Content/P4Search/indexing-web-ui.html",l:-1,t:"Index Helix Search",i:0.148027579141554,a:"You must be an admin user to perform indexing in Helix Search. This section contains information about how to index the Helix Core Server from the Helix Search web UI. To index Helix Search from the web UI:  Select the Account arrow from the top navigation bar.  Select Indexing and the Indexing tab ..."},"9":{y:0,u:"../Content/P4Search/service_install_configure.html",l:-1,t:"Deployment",i:0.014506683257563,a:"Deployment This chapter describes the prerequisites, installation and configuration of the Helix Search, Helix Core Server, and Elasticsearch services. "},"10":{y:0,u:"../Content/P4Search/prereqs-scenarios.html",l:-1,t:"Prerequisites ",i:0.0297205774431454,a:" This section describes the prerequisites for the Helix Core Search API, Helix Core Server, and Elasticsearch. The Helix Search service can be deployed in a variety of ways depending on the customers use-case. The Elasticsearch and Helix Core Server services can be deployed on the same instance or ..."},"11":{y:0,u:"../Content/P4Search/install-elasticsearch.html",l:-1,t:"Install Elasticsearch",i:0.0155767500278458,a:"You must integrate Helix Search with Elasticsearch. Elasticsearch is the engine used for indexing, searching, and analyzing data. The following installation steps are applicable to single node or  small site deployments  only. To install multiple nodes, see  Install Elasticsearch with Debian Package ..."},"12":{y:0,u:"../Content/P4Search/installers.html",l:-1,t:"Install Helix Search",i:0.0153737630913411,a:"This section describes the deployment and installation process for the Helix Core Search API and Helix Core Server. The Helix Search service can be deployed in a variety of ways depending on the customers use-case, see  Installation scenarios\n         . Process overview Helix Search requires the ..."},"13":{y:0,u:"../Content/P4Search/configuration-script.html",l:-1,t:"Configure using a script",i:0.0153737630913411,a:"You must be a root user to configure Helix Search. This section details how to  configure Helix Search using a script. You can run the etc/configure.sh script file located in the installation directory to configure Helix Search.  The configure.sh script file updates the following configuration ..."},"14":{y:0,u:"../Content/P4Search/configure-services.html",l:-1,t:"Helix Search configuration",i:0.0508411174013805,a:"You must be an admin user to configure Helix Search. The Helix Search service must be configured to view the Service status page and to configure services using the Configuration page:  Windows installer: Basic Helix Search services are configured as part of the installation process. Linux ..."},"15":{y:0,u:"../Content/P4Search/upgrade-elasticsearch.html",l:-1,t:"Upgrading Elasticsearch",i:0.00997529939207607,a:"This section describes how to upgrade an Elasticsearch installation to a newer release on Ubuntu. To upgrade Elasticsearch, do the following: Unpin your Elasticsearch: sudo vi /etc/apt/preferences.d/elasticsearch Verify that the source list for Elasticsearch version 7.x or 8.x is up to date:  sudo ..."},"16":{y:0,u:"../Content/P4Search/upgrade.html",l:-1,t:"Upgrading Helix Search",i:0.00997529939207607,a:"This section describes how to upgrade a Helix Search installation to a newer release. Follow the instructions for your OS distribution. Helix Search 2024.2 and earlier: You must upgrade to Helix Search 2024.3 to migrate the index to the new index structure before upgrading to the latest version of ..."},"17":{y:0,u:"../Content/P4Search/advanced-actions.html",l:-1,t:"Optional configurations",i:0.00997529939207607,a:"Optional configurations This section describes optional configuration settings for Helix Search. "},"18":{y:0,u:"../Content/P4Search/configure-swarm-for-p4search.html",l:-1,t:"Configure Swarm to use Helix Search",i:0.0153772666464372,a:"Standard Swarm searches can be extended to search file content and changelist description by using the Helix Core Search API.  If you make a configuration change, Swarm will not use it until the Swarm config cache has been deleted. For instructions on deleting the config cache, see  Swarm config ..."},"19":{y:0,u:"../Content/P4Search/security-configuration.html",l:-1,t:"Configure SSL security for Helix Search",i:0.0430943883177548,a:"This section describes how to secure your Helix Search communications over SSL using the HTTPS protocol. This involves creating a Java keystore with a valid SSL certificate.  To secure Helix Search with HTTPS SSL access: Create a CSR and private key with the following command: openssl req -new ..."},"20":{y:0,u:"../Content/P4Search/manual-build.html",l:-1,t:"Manually deploy a JAR file",i:0.0141857756875275,a:"Perforce recommends that you use the Helix Search installer for Linux or Windows to install Helix Search, see  Deployment .  This section describes the build and configuration process for the Helix Core Search API and Elasticsearch.  To manually deploy the .jar: Check the requirements section before ..."},"21":{y:0,u:"../Content/P4Search/configure_optical_character_recognition_for_p4search.html",l:-1,t:"Configure OCR for Windows",i:0.00997529939207607,a:"To use  Optical Character Recognition (OCR), you must install and enable Tesseract and ImageMagick on Windows. Tesseract  uses ImageMagick for OCR. When both Tesseract and ImageMagick are installed, Tesseract takes precedence for Helix Search.  Related information: How to install Tesseract, see  ..."},"22":{y:0,u:"../Content/P4Search/quick-reference-section.html",l:-1,t:"Index Helix Core Server",i:0.012095071847239,a:"We recommend that you perform indexing and install the extensions from the Helix Search web UI. For more information about how to perform indexing from the Helix Search web UI, see  Index Helix Search . For more information about how to install extensions from the Helix Search web UI, see  Extension ..."},"23":{y:0,u:"../Content/P4Search/quick-ref-index-server.html",l:-1,t:"Quick reference to index the Helix Core Server ",i:0.00997529939207607,a:"This chapter is a quick reference for performing an initial index of your Helix Core Server. For a small site you may want to index everything but for a larger site you might only want to index a project.  Small site deployment To index all of the changes in your depot, use the following curl ..."},"24":{y:0,u:"../Content/P4Search/helix_render_service.html",l:-1,t:"Helix Render service",i:0.00997529939207607,a:"The Helix Render service is in Technology Preview. Features offered in Technology Preview are experimental and not guaranteed to always work as expected. If you have feedback and functionality suggestions, email  techpreview@perforce.com . Overview  Helix Render is a service that processes 3D assets ..."},"25":{y:0,u:"../Content/P4Search/thumbnail-supported-file-types.html",l:-1,t:"Thumbnail/Preview generation: Supported file types",i:0.012095071847239,a:"This section details the file types that Helix Search can generate thumbnails/previews for.  Thumbnails/previews are only generated by Helix Search if it is configured to generate them.  Enable thumbnail/preview generation by setting the com.perforce.p4search.index.thumbnail configurable to true in ..."},"26":{y:0,u:"../Content/P4Search/api-endpoints.html",l:-1,t:"API endpoints",i:0.0524912097786698,a:"From Helix Search 2021.2, the v1 API endpoints have been deprecated. Support for them will be removed in a future release. The v1 API endpoints have been replaced by v1.2 API endpoints.  This chapter describes how to access the Swagger Helix Search REST API and API authentication required for Helix ..."},"27":{y:0,u:"../Content/P4Search/api-endpoints-current.html",l:-1,t:"Access the Swagger REST API ",i:0.0248214856428343,a:" This section describes how to access the Swagger Helix Search REST API endpoints for indexing and searching the Helix Core Server.  Do the following to access the Swagger Helix Search REST API endpoints: Get the web address for the Helix Search web UI from your administrator. For example,  ..."},"28":{y:0,u:"../Content/P4Search/api-authentication.html",l:-1,t:"API authentication",i:0.0703406449457751,a:"Some Helix Search API endpoints need an authenticated connection. Authenticated connections are achieved using Token authentication or Bearer authentication.  Token authentication Token authentication is an HTTP authentication system that uses an X-Auth-Token to authenticate the connection to Helix ..."},"29":{y:0,u:"../Content/P4Search/example-queries.html",l:-1,t:"EXIF query examples ",i:0.0350798385138927,a:" This section provides  example queries for exchangeable image file format (EXIF) data. Elasticsearch query for EXIF metadata  Description Looks for a matched query on an EXIF field. Authentication Supports basic authentication and bearer token authentication, see  API authentication . Usage example ..."},"30":{y:0,u:"../Content/P4Search/dsl_endpoints.html",l:-1,t:"DSL query API endpoints",i:0.0116469963734505,a:"Get results for a DSL query Summary  Execute a DSL query. GET api/v1.3/search/dsl Description Execute a DSL query to perform a search.  Parameters Example usage curl -X GET --location \"http://localhost:1601/api/v1.3/search/dsl?search=ext%3A+mp3+wav+%2Bmodel%3A+asset\"  -H \"Authorization: Bearer ..."},"31":{y:0,u:"../Content/P4Search/data-model.html",l:-1,t:"Data model",i:0.0590685603649714,a:"This section details the three data models used by Helix Search.  Every data model document has a unique Elasticsearch document id (_id) in the format \u003ctype\u003e-\u003cdepotFile\u003e#\u003crev\u003e except for the ChangeModel, which uses the format \u003ctype\u003e-\u003cchangeNumber\u003e; for its unique document id (_id). For example, for ..."},"32":{y:0,u:"../Content/P4Search/advanced_options.html",l:-1,t:"Advanced options",i:0.00997529939207607,a:"Advanced options This section describes the advanced options available for Helix Search. "},"33":{y:0,u:"../Content/P4Search/configure-runtime.html",l:-1,t:"Runtime configuration",i:0.0141756450775237,a:"When Helix Search is installed and ready to use, the Helix Search configuration can be changed before use if required. The location of the configuration file is specified by setting JVM property com.perforce.search.config, the environment, or a file called config.properties in the current local ..."},"34":{y:0,u:"../Content/P4Search/keep-index-up-to-date.html",l:-1,t:"Keep your index up to date",i:0.0139190825461586,a:"You can keep your Helix Core Server index up to date by using one of the following methods. For more information on how to access Swagger Helix Search REST API, see  API endpoints . Use Perforce Lua extensions You must download and install the Perforce Lua extensions before you can use them to keep ..."},"35":{y:0,u:"../Content/P4Search/restrict-file-indexing.html",l:-1,t:"Restrict file indexing",i:0.00997529939207607,a:"To restrict Helix Search from indexing a specific depot, you must set the Helix Core Server protections for that  depot.  For example, if the extensions depot directory is //.extensions, set the Helix Core Server protections for //.extensions to: read user * p4index_user -//.extensions/... This ..."},"36":{y:0,u:"../Content/P4Search/journaling_system.html",l:-1,t:"Live journal system",i:0.00997529939207607,a:"This section describes how the Helix Search journaling system tracks when tasks are added to a queue and when they are completed.  Overview Each queue in the system has its journal file. The naming convention for a journal file is the queue\u0027s name with a .jnl extension, such as IndexQueue.jnl. By ..."},"37":{y:0,u:"../Content/P4Search/contact.html",l:-1,t:"Getting Help",i:0.00997529939207607,a:"Perforce Support cannot help you with user account creation or with resetting your password, please contact your company\u0027s  Perforce administrator for help with this.  We look forward to hearing about your experiences with Helix Search, positive or negative, including must-haves or it would be great ..."},"38":{y:0,u:"../Content/Shared/glossary.html",l:-1,t:"Glossary",i:0.00997529939207607,a:"Glossary"},"39":{y:0,u:"../Content/P4Search/license.statements.html",l:-1,t:"License statements",i:0.00997529939207607,a:"License statements For licensing information for Helix Core Search API and the third-party software included in this Perforce product, see the Helix Search License file . "},});